import request from '@/utils/request';
import type { EmsActionResponse, EmsDetailResponse, EmsReportPointSteamVO, EmsId, EmsIdParam, EmsListResponse, EmsQuery } from '../types';

// 查询蒸汽整点数据列表
export function listReportPointSteam(query?: EmsQuery): Promise<EmsListResponse<EmsReportPointSteamVO>> {
  return request({
    url: '/ems/report/reportPointSteam/list',
    method: 'get',
    params: query
  });
}

// 查询蒸汽整点数据详细
export function getReportPointSteam(objId: EmsId): Promise<EmsDetailResponse<EmsReportPointSteamVO>> {
  return request({
    url: '/ems/report/reportPointSteam/' + objId,
    method: 'get'
  });
}

// 新增蒸汽整点数据
export function addReportPointSteam(data: EmsReportPointSteamVO): Promise<EmsActionResponse<EmsReportPointSteamVO>> {
  return request({
    url: '/ems/report/reportPointSteam',
    method: 'post',
    data: data
  });
}

// 修改蒸汽整点数据
export function updateReportPointSteam(data: EmsReportPointSteamVO): Promise<EmsActionResponse<EmsReportPointSteamVO>> {
  return request({
    url: '/ems/report/reportPointSteam',
    method: 'put',
    data: data
  });
}

// 删除蒸汽整点数据
export function delReportPointSteam(objId: EmsIdParam): Promise<EmsActionResponse> {
  return request({
    url: '/ems/report/reportPointSteam/' + objId,
    method: 'delete'
  });
}
